%define version 2.3
%define release alt2
%setup_python_module omniORB
%define originalname omniORBpy

Summary: OmniORB bindings for Python
Summary(ru_RU.KOI8-R): Python'   omniORB
Copyright: GPL
Name: %{packagename}
Version: %{version}
Release: %{release}
Source0: %{originalname}-%{version}.tar.bz2
Group: Development/Python
URL: http://omniorb.sourceforge.net/

BuildPreReq: libomniORB >= 4.0.2
BuildRequires: gcc-c++ libomniORB-devel libstdc++-devel 
Obsoletes: %originalname < 2.3-alt2

%description
This is omniORBpy 2, a robust high-performance CORBA ORB for Python

%description -l ru_RU.KOI8-R
 omniORBpy 2,      CORBA  Python

%package devel
Summary: develompment part of %name
Group: Development/Python

%description devel
development part of %name

%prep
%setup -q -n %{originalname}-%{version}
find . -type f|xargs %__subst 's,$(INSTALLINCDIR),$(RPM_BUILD_ROOT)%_includedir/,'
%__subst 's,@pythondir@,$(RPM_BUILD_ROOT)%_libdir/python%__python_version/site-packages,' mk/beforeauto.mk.in
%__subst 's,@pyexecdir@,$(RPM_BUILD_ROOT)%_libdir/python%__python_version/site-packages,' mk/beforeauto.mk.in

%build
%configure --with-omniorb=%prefix
%make

%install
%make INSTALLINCDIR=$RPM_BUILD_ROOT%_includedir/ \
      INSTALLLIBDIR=$RPM_BUILD_ROOT%_libdir/ \
      prefix=$RPM_BUILD_ROOT \
install

%add_python_lib_path	%_libdir/python%__python_version/site-packages/omniORB/COS
%add_python_req_skip 	corbaidl_idl ir_idl

%files devel
%_includedir/*

%files
%_libdir/python%__python_version/site-packages/*
%exclude %_libdir/python%__python_version/site-packages/omniidl_be/__init__.py*

%changelog
* Wed May 26 2004 Andrey Orlov <cray@altlinux.ru> 2.3-alt2
- Fix new python policy compatibility

* Mon Dec 01 2003 Andrey Orlov <cray@altlinux.ru> 2.3-alt1
- New version
- Try to build with python23

* Tue Sep 30 2003 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt1
- 2.2

* Tue May 20 2003 Stanislav Ievlev <inger@altlinux.ru> 2.1-alt1
- Initial release for ALT
